.nav-item {
  word-wrap: none;
  &:hover {
    & span {
      @apply text-ferrari-yellow;
    }
    & .nav-item-line {
      width: 50px;
      height: 3px;
    }
    & .nav-item-index {
      transform: rotate(0deg) translateY(-5px);
    }
  }
  &-index {
    font-size: 2rem;
    line-height: 0;
    letter-spacing: 0.2rem;
    font-weight: 100;
    display: inline-block;
    color: hsla(0, 0%, 100%, 0.2);
    transform: rotate(-90deg) translateX(0.5rem);
    vertical-align: middle;
    transition: all 150ms ease;
    transition: transform 550ms ease;
    padding: 5px;
  }
  &-line {
    width: 0px;
    height: 0px;
    background-color: #fff200;
    transition: all 180ms ease;
  }
  &-text {
    transition: all 550ms ease;
  }
}

.menu {
  &-list{
    width: 25%;
  }
  &-full-page {
    position: fixed;
    right: 0;
    // top: 0;
    // bottom: 0;
    left: 0;
    margin: auto;
    z-index: 200;
  }
}

.collapse {
  position: relative;
  &::after {
    @apply bg-ferrari-red;
    content: "";
    display: inline-block;
    position: absolute;
    z-index: 500;
    left: 0;
    width: 100%;
    height: 100%;
    left: -0.5em;
    right: -0.5em;
    width: 100%;
    transform-origin: left center;
    transform: skewX(45deg) scaleX(1.1);
    animation: reduce 1s cubic-bezier(0.9, 0, 0.1, 1) forwards;
  }
}

.delay-0::after{
  animation-delay: .1s;
}
.delay-1::after{
  animation-delay: .4s;
  @apply bg-ferrari-white;
}

.delay-2::after{
  animation-delay: .7s;
  @apply bg-ferrari-green;
}

@keyframes reduce {
  100% {
    width: 0%;
  }
}
